commit c837c559123089c83a7290fc05852009700032a2
Author: freddy77 <freddy77>
Date:   Fri Dec 19 16:23:20 2008 +0000

    process last empty field from sql browser

diff --git a/ChangeLog b/ChangeLog
index 20c06d7..f66e10e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Dec 19 17:22:14 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c:
+	- fix typo, process last empty field from sql browser
+
 Fri Dec 19 16:40:53 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/tds/bulk.c:
 	- notes, reduce variable scope, remove new_record_size
@@ -1106,4 +1110,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2690 2008/12/19 15:41:29 freddy77 Exp $
+$Id: ChangeLog,v 1.2691 2008/12/19 16:23:20 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index 8552192..6435f06 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.80 2008/12/15 05:31:15 jklowden Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.81 2008/12/19 16:23:20 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -800,7 +800,7 @@ tds_write_packet(TDSSOCKET * tds, unsigned char final)
 /**
  * Get port of all instances
  * @return default port number or 0 if error
- * @remark experimental, cf. MS-SQLR.pdf.
+ * @remark experimental, cf. MC-SQLR.pdf.
  */
 int
 tds7_get_instance_ports(FILE *output, const char *ip_addr)
@@ -1098,11 +1098,14 @@ tds7_get_instance_port(const char *ip_addr, const char *instance)
 					break;
 				*p++ = 0;
 
-				value = p;
-				p = strchr(p, ';');
-				if (!p)
-					break;
-				*p++ = 0;
+				value = name;
+				if (*name) {
+					value = p;
+					p = strchr(p, ';');
+					if (!p)
+						break;
+					*p++ = 0;
+				}
 
 				if (strcasecmp(name, "InstanceName") == 0) {
 					if (strcasecmp(value, instance) != 0)

